[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TPicture.DefineProperties

Defines properties handled during LCL component streaming.

## Declaration

Source position: graphics.pp line 904

`protected procedure TPicture.DefineProperties(`
`Filer: TFiler`
`); override;`

## Arguments

`Filer` |  | TFiler instance used to read and write the persistent object.

## Description

DefineProperties is an overridden method in TPicture, and re-implements the method defined in TPersistent. DefineProperties uses the TFiler instance in Filer to identify the binary properties handled during LCL component streaming. The ReadData and WriteData methods are assigned as the procedures used to read and write the data for the persistent object. An internal method is used to determine whether binary data is available in the Graphic property.